# Function ApplyUseFunctionAdapters

- ApplyUseFunctionAdapters<Args extends any[], Result>(
  injector: Injector,
  fnc: UseFunctionType<any[], any>,
  config?: UseFunctionConfig<any, any[], any, any[]>,
  ): UseFunctionType<any[], any>

  #### Type Parameters

  - Args extends any[]
  - Result

  #### Parameters

  - injector: Injector
  - fnc: UseFunctionType<any[], any>
  - `Optional` config: UseFunctionConfig<any, any[], any, any[]>

  #### Returns UseFunctionType<any[], any>

  - Defined in packages/angular/form-system/src/lib/mixins/apply-use-function.adapters.ts:14